curl --request POST \
--url https://api.linkup.so/v1/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
}
'
import requests
url = "https://api.linkup.so/v1/research"
payload = {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outputType: 'sourcedAnswer',
q: 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
})
};
fetch('https://api.linkup.so/v1/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkup.so/v1/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outputType' => 'sourcedAnswer',
'q' => 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkup.so/v1/research"
payload := strings.NewReader("{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.linkup.so/v1/research")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.linkup.so/v1/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}"
response = http.request(request)
puts response.read_body
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"toDate": "2025-01-01",
"mode": "auto",
"outputType": "sourcedAnswer",
"reasoningDepth": "L",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null
},
"output": {
"answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
"sources": [
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
"snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
"url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
},
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
"snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
"url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
}
]
},
"type": "research"
}
Research
/research
The POST /research method creates an asynchronous research task which can perform a comprehensive web research.
POST
/
v1
/
research
/research
curl --request POST \
--url https://api.linkup.so/v1/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
}
'
import requests
url = "https://api.linkup.so/v1/research"
payload = {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outputType: 'sourcedAnswer',
q: 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
})
};
fetch('https://api.linkup.so/v1/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkup.so/v1/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outputType' => 'sourcedAnswer',
'q' => 'Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkup.so/v1/research"
payload := strings.NewReader("{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.linkup.so/v1/research")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.linkup.so/v1/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outputType\": \"sourcedAnswer\",\n \"q\": \"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information.\"\n}"
response = http.request(request)
puts response.read_body
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"toDate": "2025-01-01",
"mode": "auto",
"outputType": "sourcedAnswer",
"reasoningDepth": "L",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null
},
"output": {
"answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
"sources": [
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
"snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
"url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
},
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
"snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
"url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
}
]
},
"type": "research"
}
Get your API key
Create a Linkup account for free to get your API key.
This is an asynchronous endpoint. It immediately returns the research task identifier,
before it is completed. Use
GET /v1/research/:id to poll for
the result, or GET /v1/research
to list all your research tasks.
For an explanation of mode, reasoningDepth, and the async lifecycle,
see the Research overview.
The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before toDate, if provided, and later than 1970-01-01.
Required only when outputType is structured. Provide a JSON schema (as a string) representing the desired response format. The root must be of type object.
The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than fromDate, if provided, or than 1970-01-01.
{
"answer": "**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....",
"sources": [
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association",
"snippet": "Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.",
"url": "https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"
},
{
"favicon": "",
"name": "Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki",
"snippet": "Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.",
"url": "https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"
}
]
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Linkup API Documentation","colors":{"primary":"#7CA994","light":"#7CA994","dark":"#5A8775"},"logo":{"light":"https://mintcdn.com/linkup-8b5c238e/AkUGxnLjaK43_4me/images/logo-light.svg?fit=max\u0026auto=format\u0026n=AkUGxnLjaK43_4me\u0026q=85\u0026s=0b621209cc9c7f0ef128ed035d2f49ef","dark":"https://mintcdn.com/linkup-8b5c238e/AkUGxnLjaK43_4me/images/logo-dark.svg?fit=max\u0026auto=format\u0026n=AkUGxnLjaK43_4me\u0026q=85\u0026s=d35afb53cf34ffdb1898a554cf62bf12","href":"https://www.linkup.so"},"favicon":"https://mintcdn.com/linkup-8b5c238e/pFIvLXL9Ieth-56w/favicon.svg?fit=max\u0026auto=format\u0026n=pFIvLXL9Ieth-56w\u0026q=85\u0026s=f5d68ce9b01b592e75a55c1bac5ce00b","background":{"decoration":"grid","color":{"light":"#F8F8F8","dark":"#1F2229"}},"navbar":{"links":[{"href":"mailto:support@linkup.so","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.linkup.so/sign-up"}},"footer":{"socials":{"x":"https://x.com/Linkup_platform","linkedin":"https://linkedin.com/company/linkup-platform","github":"https://github.com/LinkupPlatform","discord":"https://discord.com/invite/9q9mCYJa86"}},"fonts":{"heading":{"family":"Season Mix","weight":400,"format":"woff2"},"body":{"family":"Season Sans","weight":400,"format":"woff2"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":false},"integrations":{"posthog":{"apiKey":"phc_G12RVoh7ixTNvP3JDk90HfPTi34sZ1YmTbdZm2aJPtL","apiHost":"https://eu.i.posthog.com"}},"banner":{"content":"Linkup Flash (Alpha) is live — web evidence in under 200 ms. [Try it →](/pages/documentation/endpoints/search/overview)","dismissible":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"For agents","icon":"robot","href":"/pages/documentation/get-started/for-agents"},{"anchor":"Playground","icon":"play","href":"https://app.linkup.so/playground"},{"anchor":"Discord","icon":"discord","href":"https://discord.com/invite/9q9mCYJa86"},{"anchor":"Talk to us","icon":"calendar","href":"https://calendar.app.google/zNUZz7RxgMMk9pKW7"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"linkup-8b5c238e","hasAudioNarration":false,"actualSubdomain":"linkup-8b5c238e","customDomains":["docs.linkup.so"],"gitSource":{"type":"github","owner":"linkupplatform","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af586ae6d281f8985bb539d","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"Documentation","count":37},{"language":"default","tag":"Changelog","count":32},{"language":"default","tag":"Integrations","count":32},{"language":"default","tag":"Endpoints","count":15},{"language":"default","tag":"API Reference","count":12},{"language":"default","tag":"Agentic Frameworks","count":11},{"language":"default","tag":"Security and Privacy","count":10},{"language":"default","tag":"Workflow Automation","count":9},{"language":"default","tag":"Tutorials","count":7},{"language":"default","tag":"Extract (closed beta)","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"a[href=\"https://app.linkup.so/sign-up\"],a[href*=\"app.linkup.so/sign-up\"],a[href$=\"/sign-up\"]{border-radius:0!important}sidebar-group-header,#sidebar-content h5{font-weight:700!important}#sidebar-content sidebar-group sidebar-group ul,#sidebar-content sidebar-group sidebar-group ol,#sidebar-content sidebar-group sidebar-group .pages,#sidebar-content sidebar-group sidebar-group [class*=\"space-y\"]{border-left:1px solid rgba(124, 169, 148, 0.25)}@media (prefers-color-scheme: dark){#sidebar-content sidebar-group sidebar-group ul,#sidebar-content sidebar-group sidebar-group ol,#sidebar-content sidebar-group sidebar-group .pages,#sidebar-content sidebar-group sidebar-group [class*=\"space-y\"]{border-left-color:rgba(255, 255, 255, 0.12)}}#sidebar-content sidebar-group sidebar-group li[data-active]>a,#sidebar-content sidebar-group sidebar-group [data-active]{box-shadow:inset 2px 0 0 0 #7CA994}@media (prefers-color-scheme: dark){#sidebar-content sidebar-group sidebar-group li[data-active]>a,#sidebar-content sidebar-group sidebar-group [data-active]{box-shadow:inset 2px 0 0 0 #5A8775}}.nav-tabs-item,nav-tabs-item,nav-tabs [role=\"tab\"],#navbar [role=\"tab\"]{font-weight:500!important}.eyebrow{font-weight:700!important}:not(pre)>code{background-color:rgba(16, 24, 40, 0.06)!important;color:#101828!important;border:1px solid rgba(16, 24, 40, 0.10)!important;padding:0.2em 0.1em!important;border-radius:4px!important;font-size:0.81em!important}html.dark :not(pre)>code,.dark :not(pre)>code{background-color:rgba(255, 255, 255, 0.08)!important;color:#E8F0EB!important;border-color:rgba(255, 255, 255, 0.12)!important}@media (prefers-color-scheme: dark){html:not(.light) :not(pre)>code{background-color:rgba(255, 255, 255, 0.08)!important;color:#E8F0EB!important;border-color:rgba(255, 255, 255, 0.12)!important}}.linkup-prompt{border-radius:10px}.linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.10)!important;border-color:rgba(124, 169, 148, 0.40)!important}html.dark .linkup-prompt>.prompt,.dark .linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.12)!important;border-color:rgba(124, 169, 148, 0.35)!important}@media (prefers-color-scheme: dark){html:not(.light) .linkup-prompt>.prompt{background-color:rgba(124, 169, 148, 0.12)!important;border-color:rgba(124, 169, 148, 0.35)!important}}.linkup-prompt p,.linkup-prompt>div>div>:is(p,span,div){color:#101828!important}html.dark .linkup-prompt p,html.dark .linkup-prompt>div>div>:is(p,span,div),.dark .linkup-prompt p,.dark .linkup-prompt>div>div>:is(p,span,div){color:#E8F0EB!important}@media (prefers-color-scheme: dark){html:not(.light) .linkup-prompt p,html:not(.light) .linkup-prompt>div>div>:is(p,span,div){color:#E8F0EB!important}}chat-assistant-floating-input{display:none!important}strong,b,th,.font-bold,.font-semibold,.font-medium{font-synthesis:weight style!important;-webkit-font-synthesis:weight style!important}"}],"page":{"pagePath":"pages/documentation/endpoints/research/post","slug":"/pages/documentation/endpoints/research/post","pageMetadata":{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/research","title":"/research","description":"The `POST /research` method creates an asynchronous research task which can perform a comprehensive web research.","href":"/pages/documentation/endpoints/research/post"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"POST /research\"\n }), \" method creates an asynchronous research task which can perform a comprehensive web research.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Card,Note}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(Card,{title:`Get your API key`,icon:`key`,href:`https://app.linkup.so`,horizontal:`True`,children:_jsx(_components.p,{children:`Create a Linkup account for free to get your API key.`})}),`\n`,_jsxs(Note,{children:[`This is an `,_jsx(_components.strong,{children:`asynchronous`}),` endpoint. It immediately returns the research task identifier,\nbefore it is completed. Use\n`,_jsx(_components.a,{href:`/pages/documentation/endpoints/research/get`,children:_jsx(_components.code,{children:`GET /v1/research/:id`})}),` to poll for\nthe result, or `,_jsx(_components.a,{href:`/pages/documentation/endpoints/research/list`,children:_jsx(_components.code,{children:`GET /v1/research`})}),`\nto list all your research tasks.`]}),`\n`,_jsxs(_components.p,{children:[`For an explanation of `,_jsx(_components.code,{children:`mode`}),`, `,_jsx(_components.code,{children:`reasoningDepth`}),`, and the async lifecycle,\nsee the `,_jsx(_components.a,{href:`/pages/documentation/endpoints/research/overview`,children:`Research overview`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/research","title":"/research","description":"The `POST /research` method creates an asynchronous research task which can perform a comprehensive web research.","href":"/pages/documentation/endpoints/research/post"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/linkup-8b5c238e/35ab7ea35ac4390b/preserve-sidebar-scroll.js"],"openApiReferenceData":{"operation":{"description":"The `POST /research` method creates an asynchronous research task which can perform a comprehensive web research.","operationId":"createResearch","parameters":[],"requestBody":"4ce28b5d-2014-4841-bb25-793d02be48f5","responses":{"200":"f174e2fe-20eb-414b-8691-085b8616b54c","400":"258ba3e4-882e-4c9a-bb03-26f34b0eb8f3","401":"929fabac-ab5e-45e9-b90c-bfcce905dab4","402":"bf21d69c-48ad-4a5e-9d04-201dea3f5d5b","429":"5d8abe74-69fb-4e8d-96cd-e719d2f2060b"},"security":["53c379e8-634f-420a-9b53-ef77469f32a6"],"summary":"/research","tags":["Research"],"method":"post","type":"path","servers":["190f1c10-3447-450f-b531-eb421a2db0b8"],"path":"/v1/research","baseUrlOptions":["https://api.linkup.so"],"title":"/research","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"q","typeLabel":"string"},"outputType":{"type":"string","enum":["sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"outputType","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"excludeDomains","typeLabel":"string[]"},"fromDate":{"oneOf":[{"type":"string","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"fromDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","uniqueKey":"fromDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"fromDate","typeLabel":"string | null"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema (as a string) representing the desired response format. The root must be of type `object`.","type":"string","uniqueKey":"structuredOutputSchema","typeLabel":"string\u003cjson>"},"toDate":{"oneOf":[{"type":"string","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"toDate.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","uniqueKey":"toDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"toDate","typeLabel":"string | null"},"mode":{"default":"auto","description":"Pin the research agent mode. Omit to let the agent auto-classify per request based on the question.","enum":["answer","auto","investigate","research"],"type":"string","uniqueKey":"mode","typeLabel":"enum\u003cstring>"},"reasoningDepth":{"default":"L","description":"Pin the reasoning depth (S \u003c M \u003c L \u003c XL). Defaults to L when omitted. Higher depths trade latency for thoroughness.","enum":["L","M","S","XL"],"type":"string","uniqueKey":"reasoningDepth","typeLabel":"enum\u003cstring>"}},"required":["q","outputType"],"id":"PostResearchInput","example":{"outputType":"sourcedAnswer","q":"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"outputType":"sourcedAnswer","q":"Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"f174e2fe-20eb-414b-8691-085b8616b54c":{"description":"Research task created successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task was created.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"error":{"oneOf":[{"type":"string","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message if the task failed.","isRequired":true,"uniqueKey":"error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error","typeLabel":"string | null"},"id":{"type":"string","description":"The unique identifier of the task.","example":"01234-abcd-56789","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"status":{"type":"string","enum":["completed","failed","pending","processing"],"description":"The current status of the task.","example":"completed","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$","description":"The date and time when the task status was last updated.","example":"2026-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string\u003cdate-time>"},"input":{"type":"object","properties":{"q":{"description":"The natural language question for which you want to retrieve context.","example":"What is Microsoft's 2024 revenue?","type":"string","isRequired":true,"uniqueKey":"input.q","typeLabel":"string"},"toDate":{"description":"The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than `fromDate`, if provided, or than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","isRequired":true,"uniqueKey":"input.toDate","typeLabel":"string\u003cdate>"},"mode":{"default":"auto","description":"Pin the research agent mode. Omit to let the agent auto-classify per request based on the question.","enum":["answer","auto","investigate","research"],"type":"string","isRequired":true,"uniqueKey":"input.mode","typeLabel":"enum\u003cstring>"},"outputType":{"type":"string","enum":["sourcedAnswer","structured"],"description":"The type of output you want to get. Use `structured` for a custom-formatted response defined by `structuredOutputSchema`.","isRequired":true,"uniqueKey":"input.outputType","typeLabel":"enum\u003cstring>"},"reasoningDepth":{"default":"L","description":"Pin the reasoning depth (S \u003c M \u003c L \u003c XL). Defaults to L when omitted. Higher depths trade latency for thoroughness.","enum":["L","M","S","XL"],"type":"string","isRequired":true,"uniqueKey":"input.reasoningDepth","typeLabel":"enum\u003cstring>"},"excludeDomains":{"description":"The domains you want to exclude of the search. By default, don't restrict the search.","example":["wikipedia.org"],"type":"array","items":{"example":"wikipedia.org","type":"string","uniqueKey":"input.excludeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"input.excludeDomains","typeLabel":"string[]"},"fromDate":{"description":"The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before `toDate`, if provided, and later than 1970-01-01.","example":"2025-01-01","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"input.fromDate","typeLabel":"string\u003cdate>"},"includeDomains":{"description":"The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.","example":["microsoft.com","agolution.com"],"maxItems":100,"type":"array","items":{"example":"microsoft.com","type":"string","uniqueKey":"input.includeDomains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"input.includeDomains","typeLabel":"string[]"},"structuredOutputSchema":{"default":null,"format":"json","description":"Required only when `outputType` is `structured`. Provide a JSON schema object representing the desired response format. The root must be of type `object`.","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{}],"uniqueKey":"input.structuredOutputSchema.additionalProperties","typeLabel":"any"},"uniqueKey":"input.structuredOutputSchema","typeLabel":"object"}},"required":["q","toDate","mode","outputType","reasoningDepth"],"additionalProperties":false,"id":"ResearchTaskInput_Output","isRequired":true,"uniqueKey":"input","typeLabel":"object"},"output":{"oneOf":[{"type":"object","required":["answer","sources"],"example":{"answer":"**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....","sources":[{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association","snippet":"Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.","url":"https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"},{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki","snippet":"Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.","url":"https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"}]},"properties":{"answer":{"type":"string","description":"The answer to your question.","example":"Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.","isRequired":true,"uniqueKey":"output.oneOf.0.answer","typeLabel":"string"},"sources":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The title or name of the resource.","example":"Microsoft 2024 Annual Report","isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the resource.","example":"https://www.microsoft.com/investor/reports/ar24/index.html","format":"uri","isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].url","typeLabel":"string\u003curi>"},"favicon":{"oneOf":[{"type":"string","description":"The favicon URL, if available.","format":"uri","const":"","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].favicon.oneOf.0","typeLabel":"string\u003curi>"},{"type":"string","description":"The favicon URL, if available.","format":"uri","example":"https://www.microsoft.com/favicon.ico","isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].favicon.oneOf.1","typeLabel":"string\u003curi>"}],"isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].favicon","typeLabel":"string\u003curi>"},"snippet":{"type":"string","description":"Extracted text content associated with the source.","example":"Highlights from fiscal year 2024 compared with fiscal year 2023 included...","isRequired":true,"uniqueKey":"output.oneOf.0.sources.items.[INDEX].snippet","typeLabel":"string"},"publishedAt":{"description":"The publication date of the resource, if available.","example":"2024-07-30","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$","uniqueKey":"output.oneOf.0.sources.items.[INDEX].publishedAt","typeLabel":"string\u003cdate>"}},"required":["name","url","favicon","snippet"],"additionalProperties":false,"id":"Source_Output","uniqueKey":"output.oneOf.0.sources.items.[INDEX]","typeLabel":"object"},"description":"List of sources used to answer the question.","example":[{"name":"Microsoft 2024 Annual Report","snippet":"Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.","url":"https://www.microsoft.com/investor/reports/ar24/index.html"}],"isRequired":true,"uniqueKey":"output.oneOf.0.sources","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"output.oneOf.0","typeLabel":"object"},{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"output.oneOf.1.additionalProperties","typeLabel":"any"},"isRequired":true,"uniqueKey":"output.oneOf.1","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"output.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"output","typeLabel":"object · object · null"},"type":{"type":"string","const":"research","isRequired":true,"uniqueKey":"type","typeLabel":"string"}},"required":["createdAt","error","id","status","updatedAt","input","output","type"],"additionalProperties":false,"id":"PostResearchOutput_Output","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"createdAt":"2026-01-01T00:00:00.000Z","error":"\u003cstring>","id":"01234-abcd-56789","status":"completed","updatedAt":"2026-01-01T00:00:00.000Z","input":{"q":"What is Microsoft's 2024 revenue?","toDate":"2025-01-01","mode":"auto","outputType":"sourcedAnswer","reasoningDepth":"L","excludeDomains":["wikipedia.org"],"fromDate":"2025-01-01","includeDomains":["microsoft.com","agolution.com"],"structuredOutputSchema":null},"output":{"answer":"**Date:** May 19, 2026\n\n### 1. Executive Summary\nThe global semiconductor market has entered a period of unprecedented expansion in 2026, driven by an artificial intelligence \"super-cycle\" that is fundamentally restructuring industry supply and demand....","sources":[{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 - Semiconductor Industry Association","snippet":"Global semiconductor sales reached $298.5 billion during the first quarter of 2026, representing a 25% increase compared to the fourth quarter of 2025.","url":"https://www.semiconductors.org/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026/"},{"favicon":"","name":"Global Semiconductor Sales Increase 25% from Q4 2025 to Q1 2026 | SemiWiki","snippet":"Global semiconductor sales in March 2026 were $99.5 billion, an increase of 79.2% compared to March 2025 and 11.5% more than February 2026.","url":"https://semiwiki.com/forum/threads/global-semiconductor-sales-increase-25-from-q4-2025-to-q1-2026.25061/"}]},"type":"research"}}},"exampleType":"generated"}},"exampleType":"generated"},"258ba3e4-882e-4c9a-bb03-26f34b0eb8f3":{"description":"Bad Request - Invalid parameters","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"929fabac-ab5e-45e9-b90c-bfcce905dab4":{"description":"Unauthorized - Invalid or missing API key","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"bf21d69c-48ad-4a5e-9d04-201dea3f5d5b":{"description":"Payment Required - No API key provided. Returns x402 payment details in the `payment-required` header for pay-per-request with USDC.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"5d8abe74-69fb-4e8d-96cd-e719d2f2060b":{"description":"Too Many Requests - Rate limit exceeded or insufficient credits","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"53c379e8-634f-420a-9b53-ef77469f32a6":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[],"schemeName":"bearer"}}},"servers":{"190f1c10-3447-450f-b531-eb421a2db0b8":{"url":"https://api.linkup.so"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[],"schemeName":"bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://api.linkup.so/v1/openapi.json"},"subdomain":"linkup-8b5c238e","siteName":"Linkup API Documentation","title":"/research - Linkup API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-19T14:24:09.137Z","originalFileLocation":"pages/documentation/endpoints/research/post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The POST /research method creates an asynchronous research task which can perform a comprehensive web research.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Linkup API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"/research - Linkup API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"The POST /research method creates an asynchronous research task which can perform a comprehensive web research.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Linkup API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.linkup.so/pages/documentation/endpoints/research/post\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://linkup-8b5c238e.mintlify.site/_mintlify/api/og/v2?division=Research\u0026amp;title=%2Fresearch\u0026amp;description=The+%60POST+%2Fresearch%60+method+creates+an+asynchronous+research+task+which+can+perform+a+comprehensive+web+research.\u0026amp;theme=fc28c8a166d8cf1484648be1\u0026amp;signature=b7216361bd32d55f1329997d114ff295b110b6f56c83a227a0f92cbceb42a49f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"/research - Linkup API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The POST /research method creates an asynchronous research task which can perform a comprehensive web research.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://linkup-8b5c238e.mintlify.site/_mintlify/api/og/v2?division=Research\u0026amp;title=%2Fresearch\u0026amp;description=The+%60POST+%2Fresearch%60+method+creates+an+asynchronous+research+task+which+can+perform+a+comprehensive+web+research.\u0026amp;theme=fc28c8a166d8cf1484648be1\u0026amp;signature=b7216361bd32d55f1329997d114ff295b110b6f56c83a227a0f92cbceb42a49f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/linkup-8b5c238e/VW833xHaZ387KmRp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Linkup API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7CA994\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.linkup.so/pages/documentation/endpoints/research/post\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/pages/documentation/endpoints/research/post.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.linkup.so/#organization\",\"name\":\"Linkup API Documentation\",\"url\":\"https://docs.linkup.so\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/linkup-8b5c238e/AkUGxnLjaK43_4me/images/logo-light.svg?fit=max\u0026auto=format\u0026n=AkUGxnLjaK43_4me\u0026q=85\u0026s=0b621209cc9c7f0ef128ed035d2f49ef\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.linkup.so#website\",\"name\":\"Linkup API Documentation\",\"url\":\"https://docs.linkup.so\",\"publisher\":{\"@id\":\"https://docs.linkup.so/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post#webpage\",\"url\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post\",\"name\":\"/research\",\"description\":\"The POST /research method creates an asynchronous research task which can perform a comprehensive web research.\",\"dateModified\":\"2026-05-19T14:24:09.137Z\",\"isPartOf\":{\"@id\":\"https://docs.linkup.so#website\"},\"breadcrumb\":{\"@id\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Linkup API Documentation\",\"item\":\"https://docs.linkup.so\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"/research\",\"item\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post#apireference\",\"headline\":\"/research\",\"name\":\"/research\",\"description\":\"The POST /research method creates an asynchronous research task which can perform a comprehensive web research.\",\"url\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post\",\"mainEntityOfPage\":{\"@id\":\"https://docs.linkup.so/pages/documentation/endpoints/research/post#webpage\"},\"dateModified\":\"2026-05-19T14:24:09.137Z\",\"publisher\":{\"@id\":\"https://docs.linkup.so/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.linkup.so#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Linkup API Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Linkup API Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/pages/documentation/endpoints/research/post.md","siteName":"Linkup API Documentation","nav":{"global":{"anchors":[{"anchor":"For agents","icon":"robot","href":"/pages/documentation/get-started/for-agents"},{"anchor":"Playground","icon":"play","href":"https://app.linkup.so/playground"},{"anchor":"Discord","icon":"discord","href":"https://discord.com/invite/9q9mCYJa86"},{"anchor":"Talk to us","icon":"calendar","href":"https://calendar.app.google/zNUZz7RxgMMk9pKW7"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/pages/documentation/get-started/introduction"}]},{"tab":"SDKs and CLI","pages":[{"title":"SDKs and CLI","href":"/pages/sdk/js/js"}]},{"tab":"API Reference","groups":[{"group":"Search","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/search","title":"/search","href":"/pages/documentation/endpoints/search/reference"}]},{"group":"Fetch","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/fetch","title":"/fetch","description":"The `/fetch` endpoint allows you to fetch a single webpage from a given URL.","href":"/pages/documentation/endpoints/fetch/reference"}]},{"group":"Research","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/research","title":"/research","href":"/pages/documentation/endpoints/research/post"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/research","title":"/research","description":"The `GET /research` method, without research task identifier, lists all created research tasks for the authenticated organization, with pagination.","href":"/pages/documentation/endpoints/research/list"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/research/{id}","title":"/research/:id","href":"/pages/documentation/endpoints/research/get"}]},{"group":"Tasks","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/tasks","title":"/tasks","href":"/pages/documentation/endpoints/tasks/post"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/tasks","title":"/tasks","href":"/pages/documentation/endpoints/tasks/list"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/tasks/{id}","title":"/tasks/:id","href":"/pages/documentation/endpoints/tasks/get"}]},{"group":"Extract (closed beta)","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json POST /v1/extract","title":"/extract","href":"/pages/documentation/endpoints/extract/post"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/extract","title":"/extract","href":"/pages/documentation/endpoints/extract/list"},{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/extract/{id}","title":"/extract/:id","href":"/pages/documentation/endpoints/extract/get"}]},{"group":"Account","pages":[{"openapi":"https://api.linkup.so/v1/openapi.json GET /v1/credits/balance","title":"/credits/balance","href":"/pages/documentation/endpoints/account/balance"}]}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/pages/integrations/integrations"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/pages/changelog/afp"}]},{"tab":"Security and Privacy","pages":[{"title":"Security and Privacy","href":"/pages/security-and-privacy/overview"}]},{"tab":"OpenAPI Loader","hidden":true,"pages":[{"title":"OpenAPI Loader","href":"/api-reference/credits/creditsbalance"}]}]},"basePath":"","title":"/research - Linkup API Documentation","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-DV3Oq1fY.js","dist-C-XZBk9h.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-D3Isdib3.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","AssistantPageLink--qIqmmVG.js"]}